<ion-header>
  <ion-navbar color="primary">
    <ion-title>
      Sonidos App
    </ion-title>
    <ion-buttons end>
    <button ion-button
            *ngIf="!Breordenar"
            (click)="Breordenar = true">
        order
    </button>
    <button ion-button
            *ngIf="Breordenar"
            (click)="Breordenar = false">
        Listo
    </button>
  </ion-buttons>



  </ion-navbar>
</ion-header>

<ion-content>

    <ion-refresher [enabled]="!Breordenar" (ionRefresh)='recargar_animals($event)'>
        <ion-refresher-content></ion-refresher-content>
      </ion-refresher>


  <ion-list [reorder]="Breordenar" (ionItemReorder)="reordenar($event)">

    <ion-item-sliding *ngFor="let animal of animales; let i = index">
      <ion-item (click)="reproducir( animal )">
        <ion-avatar item-start>
          <img [src]="animal.imagen">
        </ion-avatar>
        <h2>{{animal.nombre}}</h2>
        <ion-icon *ngIf="!animal.reproduciendo" name="play" item-end></ion-icon>
        <ion-icon *ngIf="animal.reproduciendo" name="pause" item-end></ion-icon>


      </ion-item>
      <ion-item-options side="right">
        <button ion-button color="danger" (click)="deleteAnimal( i )">
          <ion-icon name="trash"></ion-icon>
          Borrar
        </button>
      </ion-item-options>

    </ion-item-sliding>
  </ion-list>

</ion-content>
